.app {
  font-family: Arial, sans-serif;

  header {
    background-color: #f8f9fa;
    padding: 20px;
    text-align: center;

    h1 {
      margin: 0;
    }

    .cart-favorites {
      display: flex;
      justify-content: space-between;
      padding: 0 20px;
      margin-top: 10px;

      span {
        font-size: 1.2rem;
      }
    }
  }

  .product-list {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 20px;
    justify-content: center;
  }

  .product-card {
    background-color: #fff;
    border: 1px solid #e0e0e0;
    border-radius: 5px;
    padding: 15px;
    width: 200px;
    text-align: center;

    .product-image {
      max-width: 100%;
      height: auto;
      border-radius: 5px;
    }

    .product-info {
      margin-top: 15px;

      h3 {
        margin: 0 0 10px;
        font-size: 1.2rem;
      }

      p {
        margin: 0 0 5px;
        color: #757575;
      }

      .buttons-flex {
        display: flex;
        flex-direction: row;
      }

      .btn-primary,
      .btn-secondary {
        display: block;
        width: 40px;
        padding: 10px 0;
        border: none;
        border-radius: 5px;
        margin-top: 10px;
        cursor: pointer;
        font-size: 1rem;
      }

      .btn-primary {
        background-color: #6200ea;
        color: #fff;
      }

      .btn-secondary {
        background-color: #03dac6;
        color: #fff;
      }

      .star-icon {
        font-size: 2rem;
        cursor: pointer;
        color: grey;
        margin-top: 10px;

        &.favorite {
          color: yellow;
        }
      }
    }
  }
}
